diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
index 11af275aa..76abaefb3 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
@@ -58,11 +58,13 @@ public class ScreenMainMenu extends Screen
     private String splashText = "missingno";
     private ButtonElement multiplayerButton;
     private LogoBlock[][] logoBlocks;
+    private Snowflake[] snowflakes = new Snowflake[50];
     private int logoClickCounter = 0;
     private int indexToDraw = 0;
     private int codeProgress = 0;
     private boolean showBuildTime = false;
     private String buildTimeString = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date(Version.BUILD_TIME));
+    private int snowfallTimer = 0;
     
     static {
     	loadLogo();
@@ -127,6 +129,10 @@ public class ScreenMainMenu extends Screen
     {
         I18n i18n = I18n.getInstance();
 
+        for(int i = 0; i < snowflakes.length; i++){
+            snowflakes[i] = new Snowflake(rand.nextInt(width), rand.nextInt(height),1 + rand.nextInt(4), height);
+        }
+
         if (Holidays.ANNIVERSARY_JONKADELIC.isActive())
         {
             splashText = i18n.translateKey("gui.main_menu.label.splash.jonkadelic_birthday");
@@ -271,6 +277,10 @@ public class ScreenMainMenu extends Screen
     @Override
     public void tick()
     {
+        for (Snowflake snowflake : snowflakes) {
+            snowflake.updateEffects();
+        }
+
         if(this.logoBlocks != null)
         {
             for (LogoBlock[] logoBlock : this.logoBlocks) {
@@ -332,6 +342,17 @@ public class ScreenMainMenu extends Screen
         {
             drawLogo(partialTick);
         }
+
+        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/title/snowflake.png").bind();
+        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+
+        // Render snow particles on title screen on Christmas
+        if(Holidays.getCurrentThemedHoliday() == Holidays.XMAS) {
+            for (Snowflake snowflake : snowflakes) {
+                drawTexturedModalRectDouble(snowflake.flakeX, snowflake.flakeY, 0, 4 * snowflake.texIndex, 4, 4, 1d / 4, 1d / 16);
+            }
+        }
+
         GL11.glPushMatrix();
         GL11.glTranslatef(width / 2 + 140, 80F, 0.0F);
         GL11.glRotatef(-20F, 0.0F, 0.0F, 1.0F);
@@ -489,6 +510,36 @@ public class ScreenMainMenu extends Screen
             LOGGER.error("Exception while loading retro logo!", e);
 		}
     }
+
+    static class Snowflake {
+
+        public double flakeX;
+        private final double flakeXO;
+        public double flakeY = -1;
+        public double dropSpeed;
+        public int maxHeight;
+        private final double verticalSpeed;
+        private final int texIndex;
+
+        public Snowflake(int flakeX, int flakeY, int dropSpeed, int maxHeight) {
+            this.flakeX = flakeX;
+            this.flakeY = flakeY;
+            this.flakeXO = flakeX;
+            this.dropSpeed = dropSpeed;
+            this.maxHeight = maxHeight;
+            this.verticalSpeed = (rand.nextFloat() - 0.5);
+            this.texIndex = rand.nextInt(4);
+        }
+
+        public void updateEffects() {
+            this.flakeY += this.dropSpeed * 0.3f;
+            this.flakeX += this.verticalSpeed * 1.5f;
+            if(this.flakeY > maxHeight) {
+                this.flakeY = 0;
+                this.flakeX = flakeXO;
+            }
+        }
+    }
     
     static class LogoBlock {
     	
diff --git a/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java b/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
index 22b038ce7..95aa3d727 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/options/data/OptionsPages.java
@@ -245,6 +245,7 @@ public abstract class OptionsPages
                 .withComponent(new BooleanOptionComponent(mc.gameSettings.customAnimations))
                 .withComponent(new BooleanOptionComponent(mc.gameSettings.mobVariants))
                 .withComponent(new BooleanOptionComponent(mc.gameSettings.customLightmap))
+                .withComponent(new BooleanOptionComponent(mc.gameSettings.enableHolidayTextures))
             )
             .withComponent(new ShortcutComponent("gui.options.page.texture_packs.button.apply", () -> mc.texturePackList.refreshIfReady()))
             .withComponent(new OptionsCategory("gui.options.page.texture_packs.category.texture_packs.selected")
diff --git a/game/client/src/main/java/net/minecraft/client/holiday/Holiday.java b/game/client/src/main/java/net/minecraft/client/holiday/Holiday.java
index d3be6b828..b38ccbe8a 100644
--- a/game/client/src/main/java/net/minecraft/client/holiday/Holiday.java
+++ b/game/client/src/main/java/net/minecraft/client/holiday/Holiday.java
@@ -8,12 +8,27 @@ import java.util.Locale;
 import java.util.TimeZone;
 
 public class Holiday {
-    protected int month;
-    protected int day;
+    protected int monthStart;
+    protected int monthEnd;
+    protected int dayStart;
+    protected int dayEnd;
     protected String resourcePath = null;
+
+    // Single day holiday constructor
     public Holiday(Month month, int day) {
-        this.month = month.ordinal();
-        this.day = day;
+        this.monthStart = monthEnd = month.ordinal();
+        this.dayStart = dayEnd = day;
+        Holidays.allHolidays.add(this);
+    }
+
+    // Range holiday constructor
+    public Holiday(Month monthStart, int dayStart, Month monthEnd, int dayEnd) {
+        this.monthStart = monthStart.ordinal();
+        this.dayStart = dayStart;
+
+        this.monthEnd = monthEnd.ordinal();
+        this.dayEnd = dayEnd;
+
         Holidays.allHolidays.add(this);
     }
 
@@ -37,7 +52,11 @@ public class Holiday {
 
     public boolean isActive() {
         Calendar c = getLocalCalendar();
-        return c.get(Calendar.MONTH) == month && c.get(Calendar.DAY_OF_MONTH) == day;
+        //c.set(2024, Calendar.DECEMBER, 24);
+        return c.get(Calendar.MONTH) >= monthStart &&
+                c.get(Calendar.MONTH) <= monthEnd &&
+                c.get(Calendar.DAY_OF_MONTH) >= dayStart &&
+                c.get(Calendar.DAY_OF_MONTH) <= dayEnd;
     }
 
     public static Calendar getLocalCalendar() {
diff --git a/game/client/src/main/java/net/minecraft/client/holiday/Holidays.java b/game/client/src/main/java/net/minecraft/client/holiday/Holidays.java
index d5d644783..a5b51190e 100644
--- a/game/client/src/main/java/net/minecraft/client/holiday/Holidays.java
+++ b/game/client/src/main/java/net/minecraft/client/holiday/Holidays.java
@@ -9,7 +9,7 @@ public class Holidays {
     public static final List<Holiday> allThemedHolidays = new ArrayList<>();
 
     public static final Holiday HALLOWEEN = new Holiday(Month.OCTOBER, 31).setCustomResourcePath("halloween");
-    public static final Holiday XMAS = new Holiday(Month.DECEMBER, 25).setCustomResourcePath("xmas");
+    public static final Holiday XMAS = new Holiday(Month.DECEMBER, 20, Month.DECEMBER, 26).setCustomResourcePath("xmas");
     public static final Holiday NEW_YEAR = new Holiday(Month.JANUARY, 1);
 
     public static final Holiday ANNIVERSARY_MINECRAFT = new Holiday(Month.MAY, 17);
diff --git a/game/client/src/main/java/net/minecraft/client/option/GameSettings.java b/game/client/src/main/java/net/minecraft/client/option/GameSettings.java
index d964c6903..9d181f2df 100644
--- a/game/client/src/main/java/net/minecraft/client/option/GameSettings.java
+++ b/game/client/src/main/java/net/minecraft/client/option/GameSettings.java
@@ -168,6 +168,7 @@ public class GameSettings {
 	public OptionBoolean mobVariants = new OptionBoolean(this, "mobVariants", true);
 	public OptionEnum<Colorblindness> colorblindnessFix = new OptionEnum<>(this, "colorblindnessFix", Colorblindness.class, Colorblindness.NONE);
 	public OptionBoolean subtitles = new OptionBoolean(this, "subtitles", false);
+	public OptionBoolean enableHolidayTextures = new OptionBoolean(this, "enableHolidayTextures", true);
 
 	public KeyBinding keyAttack = new KeyBinding("key.attack").setDefault(InputDevice.mouse, 0);
 	public KeyBinding keyInteract = new KeyBinding("key.interact").setDefault(InputDevice.mouse, 1);
@@ -474,6 +475,10 @@ public class GameSettings {
 		if(option == rawMouseInput) {
 			mc.mouseInput.setRawInput(rawMouseInput.value);
 		}
+		if(option == enableHolidayTextures) {
+			mc.textureManager.refreshTexturesAndDisplayErrors();
+			mc.renderGlobal.loadRenderers();
+		}
 	}
 
 	public void loadOptions() {
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java
index 6833192a8..ab6f709d6 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChest.java
@@ -1,11 +1,11 @@
 package net.minecraft.client.render.block.model;
 
+import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BlockLogic;
-import net.minecraft.core.block.BlockLogicChest;
+import net.minecraft.core.block.*;
 import net.minecraft.core.util.helper.Axis;
+import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
@@ -15,6 +15,8 @@ public class BlockModelChest<T extends BlockLogic> extends BlockModelStandard<T>
     protected IconCoordinate chestFrontRight;
     protected IconCoordinate chestBackLeft;
     protected IconCoordinate chestBackRight;
+    protected IconCoordinate chestTopLeft;
+    protected IconCoordinate chestTopRight;
     protected IconCoordinate chestSide;
     protected IconCoordinate chestTop;
     public BlockModelChest(Block<T> block, String rootKey) {
@@ -22,28 +24,65 @@ public class BlockModelChest<T extends BlockLogic> extends BlockModelStandard<T>
         chestFrontSingle = TextureRegistry.getTexture(rootKey + "front");
         chestFrontLeft = TextureRegistry.getTexture(rootKey + "left_front");
         chestFrontRight = TextureRegistry.getTexture(rootKey + "right_front");
+        chestTopLeft = TextureRegistry.getTexture(rootKey + "top_left");
+        chestTopRight = TextureRegistry.getTexture(rootKey + "top_right");
         chestBackLeft = TextureRegistry.getTexture(rootKey + "left_back");
         chestBackRight = TextureRegistry.getTexture(rootKey + "right_back");
         chestSide = TextureRegistry.getTexture(rootKey + "side");
         chestTop = TextureRegistry.getTexture(rootKey + "top");
     }
 
+    @Override
+    public boolean render(Tessellator tessellator, int x, int y, int z) {
+        int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
+        final Direction dir = BlockLogicChest.getDirectionFromMeta(meta);
+        switch (dir) {
+            case NORTH:
+                renderBlocks.uvRotateTop = 3;
+                break;
+
+            case EAST:
+                renderBlocks.uvRotateTop = 2;
+                break;
+
+            case WEST:
+                renderBlocks.uvRotateTop = 1;
+                break;
+        }
+
+        renderStandardBlock(tessellator, block.getBlockBoundsFromState(renderBlocks.blockAccess, x, y, z), x, y, z);
+        resetRenderBlocks();
+        return true;
+    }
+
     @Override
     public IconCoordinate getBlockTexture(WorldSource blockAccess, int x, int y, int z, Side side) {
         int meta = blockAccess.getBlockMetadata(x, y, z);
 
-        if(side == Side.TOP || side == Side.BOTTOM) {
+        Side facing = BlockLogicChest.getDirectionFromMeta(meta).getSide();
+        BlockLogicChest.Type type = BlockLogicChest.getTypeFromMeta(meta);
+
+        if(side == Side.TOP) {
+            if(type == BlockLogicChest.Type.RIGHT) {
+                return chestTopRight;
+            }
+            if(type == BlockLogicChest.Type.LEFT) {
+                return chestTopLeft;
+            }
+
             return chestTop;
         }
 
-        Side facing = BlockLogicChest.getDirectionFromMeta(meta).getSide();
-        BlockLogicChest.Type type = BlockLogicChest.getTypeFromMeta(meta);
+        if(side == Side.BOTTOM) {
+            return chestTop;
+        }
 
         if(type == BlockLogicChest.Type.SINGLE) {
             if(side == facing) {
                 return chestFrontSingle;
             }
         }
+
         if(type == BlockLogicChest.Type.LEFT) {
             if(side == facing) {
                 return chestFrontLeft;
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChestPainted.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChestPainted.java
index fb8b6435e..785cc6e31 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChestPainted.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelChestPainted.java
@@ -19,11 +19,13 @@ public class BlockModelChestPainted<T extends BlockLogic> extends BlockModelChes
     public static final int TEX_RIGHT_BACK = 4;
     public static final int TEX_SIDE = 5;
     public static final int TEX_TOP = 6;
+    public static final int TEX_LEFT_TOP = 7;
+    public static final int TEX_RIGHT_TOP = 8;
 
     static {
         for (DyeColor c : DyeColor.blockOrderedColors()){
             String rootKey = "minecraft:block/chest/planks_" + c.colorID + "/";
-            texCoords[c.blockMeta] = new IconCoordinate[7];
+            texCoords[c.blockMeta] = new IconCoordinate[9];
             texCoords[c.blockMeta][TEX_SINGLE_FRONT] = TextureRegistry.getTexture(rootKey + "front");
             texCoords[c.blockMeta][TEX_LEFT_FRONT] = TextureRegistry.getTexture(rootKey + "left_front");
             texCoords[c.blockMeta][TEX_RIGHT_FRONT] = TextureRegistry.getTexture(rootKey + "right_front");
@@ -31,6 +33,8 @@ public class BlockModelChestPainted<T extends BlockLogic> extends BlockModelChes
             texCoords[c.blockMeta][TEX_RIGHT_BACK] = TextureRegistry.getTexture(rootKey + "right_back");
             texCoords[c.blockMeta][TEX_SIDE] = TextureRegistry.getTexture(rootKey + "side");
             texCoords[c.blockMeta][TEX_TOP] = TextureRegistry.getTexture(rootKey + "top");
+            texCoords[c.blockMeta][TEX_LEFT_TOP] = TextureRegistry.getTexture(rootKey + "top_left");
+            texCoords[c.blockMeta][TEX_RIGHT_TOP] = TextureRegistry.getTexture(rootKey + "top_right");
         }
     }
     public BlockModelChestPainted(Block<T> block) {
@@ -42,18 +46,26 @@ public class BlockModelChestPainted<T extends BlockLogic> extends BlockModelChes
         int meta = blockAccess.getBlockMetadata(x, y, z);
         int color = meta >> 4;
 
+        Side facing = BlockLogicChest.getDirectionFromMeta(meta).getSide();
+        BlockLogicChest.Type type = BlockLogicChest.getTypeFromMeta(meta);
+
         if(side == Side.TOP || side == Side.BOTTOM) {
+            if(type == BlockLogicChest.Type.LEFT) {
+                return texCoords[color][7];
+            }
+            if(type == BlockLogicChest.Type.RIGHT) {
+                return texCoords[color][8];
+            }
+
             return texCoords[color][6];
         }
 
-        Side facing = BlockLogicChest.getDirectionFromMeta(meta).getSide();
-        BlockLogicChest.Type type = BlockLogicChest.getTypeFromMeta(meta);
-
         if(type == BlockLogicChest.Type.SINGLE) {
             if(side == facing) {
                 return texCoords[color][TEX_SINGLE_FRONT];
             }
         }
+
         if(type == BlockLogicChest.Type.LEFT) {
             if(side == facing) {
                 return texCoords[color][TEX_LEFT_FRONT];
diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java b/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
index f3d769fac..a735441e6 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/MobRendererBiped.java
@@ -2,20 +2,32 @@ package net.minecraft.client.render.entity;
 
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
 import net.minecraft.client.render.model.ModelBiped;
+import net.minecraft.client.render.model.ModelZombie;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.entity.Mob;
+import net.minecraft.core.entity.monster.MobZombieArmored;
 import net.minecraft.core.item.ItemStack;
 import org.lwjgl.opengl.GL11;
 
 public class MobRendererBiped<T extends Mob> extends MobRenderer<T>
 {
-
+	private final ModelBiped modelArmor;
     public MobRendererBiped(ModelBiped model, float shadowSize)
     {
         super(model, shadowSize);
         modelBipedMain = model;
+		modelArmor = new ModelBiped(0.5F);
     }
 
+	protected boolean prepareArmor(MobZombieArmored zombie, int renderPass, float partialTick)
+	{
+		bindTexture("/assets/minecraft/textures/armor/xmas.png");
+		ModelBiped model = modelArmor;
+		model.head.visible = true;
+		setArmorModel(model);
+		return true;
+	}
+
 	@Override
 	protected void renderAdditional(T entity, float f) {
 		ItemStack itemstack = entity.getHeldItem();
diff --git a/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePack.java b/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePack.java
index 2b5b706a7..14ef09aa1 100644
--- a/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePack.java
+++ b/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePack.java
@@ -46,7 +46,7 @@ public abstract class TexturePack {
 
 	public InputStream getResourceAsStream(String s)
 	{
-		if (Holidays.getCurrentThemedHoliday() != null) {
+		if (Holidays.getCurrentThemedHoliday() != null && Minecraft.getMinecraft().gameSettings.enableHolidayTextures.value) {
 			assert Holidays.getCurrentThemedHoliday().getCustomResourcesSubPath() != null : "Current themed holiday must have a theme!";
 			String holidayPath = ("/holidays/" + Holidays.getCurrentThemedHoliday().getCustomResourcesSubPath() + "/" + s);
 			InputStream holidayStream = TexturePack.class.getResourceAsStream(holidayPath);
diff --git a/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePackCustom.java b/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePackCustom.java
index f66503639..622bd99e6 100644
--- a/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePackCustom.java
+++ b/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePackCustom.java
@@ -190,7 +190,7 @@ public class TexturePackCustom extends TexturePack
 	}
 	private InputStream getResourceAsStream(String path, boolean firstCall)
 	{
-		if (firstCall && Holidays.getCurrentThemedHoliday() != null) {
+		if (firstCall && Holidays.getCurrentThemedHoliday() != null && Minecraft.getMinecraft().gameSettings.enableHolidayTextures.value) {
 			assert Holidays.getCurrentThemedHoliday().getCustomResourcesSubPath() != null : "Current themed holiday must have a theme!";
 			String holidayPath = ("/holidays/" + Holidays.getCurrentThemedHoliday().getCustomResourcesSubPath() + "/" + path);
 			InputStream holidayStream = getResourceAsStream(holidayPath, false);
diff --git a/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePackDefault.java b/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePackDefault.java
index 7428e1650..dd90eff40 100644
--- a/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePackDefault.java
+++ b/game/client/src/main/java/net/minecraft/client/render/texturepack/TexturePackDefault.java
@@ -8,6 +8,7 @@ import javax.imageio.ImageIO;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
+import net.minecraft.client.holiday.Holidays;
 import net.minecraft.client.render.texture.TextureBuffered;
 import org.slf4j.Logger;
 
@@ -63,9 +64,19 @@ public class TexturePackDefault extends TexturePack
 		try
         {
 			InputStream stream = TexturePackDefault.class.getResourceAsStream(file);
-			boolean a = stream != null;
-			if(stream != null) stream.close();
-			return a;
+            if (stream != null) {
+                stream.close();
+                return true;
+            } else if (Minecraft.getMinecraft().gameSettings.enableHolidayTextures.value && Holidays.getCurrentThemedHoliday() != null) {
+                assert Holidays.getCurrentThemedHoliday().getCustomResourcesSubPath() != null : "Current themed holiday must have a theme!";
+                String holidayPath = ("/holidays/" + Holidays.getCurrentThemedHoliday().getCustomResourcesSubPath() + "/" + file);
+                InputStream holidayStream = TexturePack.class.getResourceAsStream(holidayPath);
+                if (holidayStream != null) {
+                    holidayStream.close();
+                    return true;
+                }
+            }
+            return false;
 		}
         catch (Exception e)
         {
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/painted_wood.tiles b/game/client/src/main/resources/assets/minecraft/textures/block/painted_wood.tiles
new file mode 100644
index 000000000..fbd291b54
--- /dev/null
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/painted_wood.tiles
@@ -0,0 +1,241 @@
+size=16x17
+0,0=planks/black
+1,0=planks/blue
+2,0=planks/gray
+3,0=planks/lightblue
+4,0=chest/planks_black/top_left
+5,0=chest/planks_black/top_right
+6,0=chest/planks_black/top
+7,0=chest/planks_blue/top_left
+8,0=chest/planks_blue/top_right
+9,0=chest/planks_blue/top
+10,0=chest/planks_gray/top_left
+11,0=chest/planks_gray/top_right
+12,0=chest/planks_gray/top
+13,0=chest/planks_lightblue/top_left
+14,0=chest/planks_lightblue/top_right
+15,0=chest/planks_lightblue/top
+0,1=planks/red
+1,1=planks/purple
+2,1=planks/pink
+3,1=planks/magenta
+4,1=chest/planks_black/left_front
+5,1=chest/planks_black/right_front
+6,1=chest/planks_black/front
+7,1=chest/planks_blue/left_front
+8,1=chest/planks_blue/right_front
+9,1=chest/planks_blue/front
+10,1=chest/planks_gray/left_front
+11,1=chest/planks_gray/right_front
+12,1=chest/planks_gray/front
+13,1=chest/planks_lightblue/left_front
+14,1=chest/planks_lightblue/right_front
+15,1=chest/planks_lightblue/front
+0,2=planks/green
+1,2=planks/cyan
+2,2=planks/lime
+3,2=planks/orange
+4,2=chest/planks_black/left_back
+5,2=chest/planks_black/right_back
+6,2=chest/planks_black/side
+7,2=chest/planks_blue/left_back
+8,2=chest/planks_blue/right_back
+9,2=chest/planks_blue/side
+10,2=chest/planks_gray/left_back
+11,2=chest/planks_gray/right_back
+12,2=chest/planks_gray/side
+13,2=chest/planks_lightblue/left_back
+14,2=chest/planks_lightblue/right_back
+15,2=chest/planks_lightblue/side
+0,3=planks/brown
+1,3=planks/silver
+2,3=planks/yellow
+3,3=planks/white
+4,3=chest/planks_red/top_left
+5,3=chest/planks_red/top_right
+6,3=chest/planks_red/top
+7,3=chest/planks_purple/top_left
+8,3=chest/planks_purple/top_right
+9,3=chest/planks_purple/top
+10,3=chest/planks_pink/top_left
+11,3=chest/planks_pink/top_right
+12,3=chest/planks_pink/top
+13,3=chest/planks_magenta/top_left
+14,3=chest/planks_magenta/top_right
+15,3=chest/planks_magenta/top
+4,4=chest/planks_red/left_front
+5,4=chest/planks_red/right_front
+6,4=chest/planks_red/front
+7,4=chest/planks_purple/left_front
+8,4=chest/planks_purple/right_front
+9,4=chest/planks_purple/front
+10,4=chest/planks_pink/left_front
+11,4=chest/planks_pink/right_front
+12,4=chest/planks_pink/front
+13,4=chest/planks_magenta/left_front
+14,4=chest/planks_magenta/right_front
+15,4=chest/planks_magenta/front
+4,5=chest/planks_red/left_back
+5,5=chest/planks_red/right_back
+6,5=chest/planks_red/side
+7,5=chest/planks_purple/left_back
+8,5=chest/planks_purple/right_back
+9,5=chest/planks_purple/side
+10,5=chest/planks_pink/left_back
+11,5=chest/planks_pink/right_back
+12,5=chest/planks_pink/side
+13,5=chest/planks_magenta/left_back
+14,5=chest/planks_magenta/right_back
+15,5=chest/planks_magenta/side
+4,6=chest/planks_green/top_left
+5,6=chest/planks_green/top_right
+6,6=chest/planks_green/top
+7,6=chest/planks_cyan/top_left
+8,6=chest/planks_cyan/top_right
+9,6=chest/planks_cyan/top
+10,6=chest/planks_lime/top_left
+11,6=chest/planks_lime/top_right
+12,6=chest/planks_lime/top
+13,6=chest/planks_orange/top_left
+14,6=chest/planks_orange/top_right
+15,6=chest/planks_orange/top
+4,7=chest/planks_green/left_front
+5,7=chest/planks_green/right_front
+6,7=chest/planks_green/front
+7,7=chest/planks_cyan/left_front
+8,7=chest/planks_cyan/right_front
+9,7=chest/planks_cyan/front
+10,7=chest/planks_lime/left_front
+11,7=chest/planks_lime/right_front
+12,7=chest/planks_lime/front
+13,7=chest/planks_orange/left_front
+14,7=chest/planks_orange/right_front
+15,7=chest/planks_orange/front
+4,8=chest/planks_green/left_back
+5,8=chest/planks_green/right_back
+6,8=chest/planks_green/side
+7,8=chest/planks_cyan/left_back
+8,8=chest/planks_cyan/right_back
+9,8=chest/planks_cyan/side
+10,8=chest/planks_lime/left_back
+11,8=chest/planks_lime/right_back
+12,8=chest/planks_lime/side
+13,8=chest/planks_orange/left_back
+14,8=chest/planks_orange/right_back
+15,8=chest/planks_orange/side
+4,9=chest/planks_brown/top_left
+5,9=chest/planks_brown/top_right
+6,9=chest/planks_brown/top
+7,9=chest/planks_silver/top_left
+8,9=chest/planks_silver/top_right
+9,9=chest/planks_silver/top
+10,9=chest/planks_yellow/top_left
+11,9=chest/planks_yellow/top_right
+12,9=chest/planks_yellow/top
+13,9=chest/planks_white/top_left
+14,9=chest/planks_white/top_right
+15,9=chest/planks_white/top
+4,10=chest/planks_brown/left_front
+5,10=chest/planks_brown/right_front
+6,10=chest/planks_brown/front
+7,10=chest/planks_silver/left_front
+8,10=chest/planks_silver/right_front
+9,10=chest/planks_silver/front
+10,10=chest/planks_yellow/left_front
+11,10=chest/planks_yellow/right_front
+12,10=chest/planks_yellow/front
+13,10=chest/planks_white/left_front
+14,10=chest/planks_white/right_front
+15,10=chest/planks_white/front
+4,11=chest/planks_brown/left_back
+5,11=chest/planks_brown/right_back
+6,11=chest/planks_brown/side
+7,11=chest/planks_silver/left_back
+8,11=chest/planks_silver/right_back
+9,11=chest/planks_silver/side
+10,11=chest/planks_yellow/left_back
+11,11=chest/planks_yellow/right_back
+12,11=chest/planks_yellow/side
+13,11=chest/planks_white/left_back
+14,11=chest/planks_white/right_back
+15,11=chest/planks_white/side
+0,12=trapdoor/planks_black/side
+1,12=trapdoor/planks_red/side
+2,12=trapdoor/planks_green/side
+3,12=trapdoor/planks_brown/side
+4,12=trapdoor/planks_blue/side
+5,12=trapdoor/planks_purple/side
+6,12=trapdoor/planks_cyan/side
+7,12=trapdoor/planks_silver/side
+8,12=trapdoor/planks_gray/side
+9,12=trapdoor/planks_pink/side
+10,12=trapdoor/planks_lime/side
+11,12=trapdoor/planks_yellow/side
+12,12=trapdoor/planks_lightblue/side
+13,12=trapdoor/planks_magenta/side
+14,12=trapdoor/planks_orange/side
+15,12=trapdoor/planks_white/side
+0,13=trapdoor/planks_black/top
+1,13=trapdoor/planks_red/top
+2,13=trapdoor/planks_green/top
+3,13=trapdoor/planks_brown/top
+4,13=trapdoor/planks_blue/top
+5,13=trapdoor/planks_purple/top
+6,13=trapdoor/planks_cyan/top
+7,13=trapdoor/planks_silver/top
+8,13=trapdoor/planks_gray/top
+9,13=trapdoor/planks_pink/top
+10,13=trapdoor/planks_lime/top
+11,13=trapdoor/planks_yellow/top
+12,13=trapdoor/planks_lightblue/top
+13,13=trapdoor/planks_magenta/top
+14,13=trapdoor/planks_orange/top
+15,13=trapdoor/planks_white/top
+0,14=door/planks_black/top
+1,14=door/planks_red/top
+2,14=door/planks_green/top
+3,14=door/planks_brown/top
+4,14=door/planks_blue/top
+5,14=door/planks_purple/top
+6,14=door/planks_cyan/top
+7,14=door/planks_silver/top
+8,14=door/planks_gray/top
+9,14=door/planks_pink/top
+10,14=door/planks_lime/top
+11,14=door/planks_yellow/top
+12,14=door/planks_lightblue/top
+13,14=door/planks_magenta/top
+14,14=door/planks_orange/top
+15,14=door/planks_white/top
+0,15=door/planks_black/bottom
+1,15=door/planks_red/bottom
+2,15=door/planks_green/bottom
+3,15=door/planks_brown/bottom
+4,15=door/planks_blue/bottom
+5,15=door/planks_purple/bottom
+6,15=door/planks_cyan/bottom
+7,15=door/planks_silver/bottom
+8,15=door/planks_gray/bottom
+9,15=door/planks_pink/bottom
+10,15=door/planks_lime/bottom
+11,15=door/planks_yellow/bottom
+12,15=door/planks_lightblue/bottom
+13,15=door/planks_magenta/bottom
+14,15=door/planks_orange/bottom
+15,15=door/planks_white/bottom
+0,16=door/planks_black/frame_top
+1,16=door/planks_red/frame_top
+2,16=door/planks_green/frame_top
+3,16=door/planks_brown/frame_top
+4,16=door/planks_blue/frame_top
+5,16=door/planks_purple/frame_top
+6,16=door/planks_cyan/frame_top
+7,16=door/planks_silver/frame_top
+8,16=door/planks_gray/frame_top
+9,16=door/planks_pink/frame_top
+10,16=door/planks_lime/frame_top
+11,16=door/planks_yellow/frame_top
+12,16=door/planks_lightblue/frame_top
+13,16=door/planks_magenta/frame_top
+14,16=door/planks_orange/frame_top
+15,16=door/planks_white/frame_top
\ No newline at end of file
diff --git a/game/core/src/main/resources/lang/en_US/options.lang b/game/core/src/main/resources/lang/en_US/options.lang
index f486cd42a..29b517472 100644
--- a/game/core/src/main/resources/lang/en_US/options.lang
+++ b/game/core/src/main/resources/lang/en_US/options.lang
@@ -170,6 +170,7 @@ options.chatVisibility=Chat Visibility
 options.chatVisibility.show_all=Always Show
 options.chatVisibility.show_when_chatting=Only Show When Chatting
 options.chatVisibility.never_show=Never Show
+options.enableHolidayTextures=Enable Holiday Textures
 
 options.tooltipStyle.default=Default
 options.tooltipStyle.modern=Modern
